<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class AsignaciorHorario extends Model
{
    protected $table = "ins_asighor";
    protected $primaryKey = 'cve_ah';
    protected $fillable = ['cve_hor', 'cve_adocmat'];

    public function horario()
    {
        return $this->belongsTo('App\Horario', 'cve_hor', 'cve_hor');
    }

    //Función - Es la relacion entre Materia
    public function asignarmat()
    {
        return $this->belongsTo('App\AsignacionMateriaDocente', 'cve_mat', 'cve_mat');
    }
}
